<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/


defined('_IN_JOHNCMS') or die('Error: restricted access');

// Проверяем права доступа
if ($rights < 9) {
  header("Location: $home?err");
 exit;
}
echo '<div class="phdr"><a href="../' . $set['admp'] . '/index.php"><b>Админ панель</b></a> | Настройки чата</div>';

if ($mod == 'reset') {
//  mysql_query("UPDATE `chat_settings` SET `val`='1' WHERE `key` = 'access'");
  mysql_query("UPDATE `chat_settings` SET `val`='0' WHERE `key` = 'color_nik'");
  mysql_query("UPDATE `chat_settings` SET `val`='0' WHERE `key` = 'color_nik_text'");
  mysql_query("UPDATE `chat_settings` SET `val`='0' WHERE `key` = 'color_text'");
  if ($chat_settings['auto_delete'])
    mysql_query("UPDATE `chat_settings` SET `val`='" . $realtime . "' WHERE `key` = 'time'");
  mysql_query("UPDATE `chat_settings` SET `val`='0' WHERE `key` = 'auto_delete'");
  mysql_query("UPDATE `chat_settings` SET `val`='1' WHERE `key` = 'faq'");
  mysql_query("UPDATE `chat_settings` SET `val`='0' WHERE `key` = 'leave_post'");
  echo '<div class="gmenu">Установлены настройки по умолчанию</div>';
  $req = mysql_query("SELECT * FROM `chat_settings`");
  $chat_settings = array ();
  while ($res = mysql_fetch_row($req)) $chat_settings[$res[0]] = $res[1];
}

if (isset($_POST['submit'])) {
  /*
  -----------------------------------------------------------------
  Сохраняем настройки чата
  -----------------------------------------------------------------
  */
  switch (intval($_POST['auto_delete'])) {

    case 3:
      $auto_dell = 86400;
    break;
    
    case 2:
      $auto_dell = 172800;
    break;
    
    case 1:
      $auto_dell = 604800;
    break;
    
    default :
      $auto_dell = 0;
  }
//  mysql_query("UPDATE `chat_settings` SET `val`='" . intval($_POST['access']) . "' WHERE `key` = 'access'");
  mysql_query("UPDATE `chat_settings` SET `val`='" . intval($_POST['color_nik']) . "' WHERE `key` = 'color_nik'");
  mysql_query("UPDATE `chat_settings` SET `val`='" . intval($_POST['color_nik_text']) . "' WHERE `key` = 'color_nik_text'");
  mysql_query("UPDATE `chat_settings` SET `val`='" . intval($_POST['color_text']) . "' WHERE `key` = 'color_text'");
  if ($auto_dell != $chat_settings['auto_delete'])
    mysql_query("UPDATE `chat_settings` SET `val`='" . $realtime . "' WHERE `key` = 'time'");
  mysql_query("UPDATE `chat_settings` SET `val`='" . $auto_dell . "' WHERE `key` = 'auto_delete'");
  mysql_query("UPDATE `chat_settings` SET `val`='" . (isset($_POST['faq']) ? 1 : 0) . "' WHERE `key` = 'faq'"); 
  mysql_query("UPDATE `chat_settings` SET `val`='" . (isset($_POST['leave_post']) && $auto_dell ? intval($_POST['leave_post']) : 0) . "' WHERE `key` = 'leave_post'");
  $req = mysql_query("SELECT * FROM `chat_settings`");
  $chat_settings = array ();
  while ($res = mysql_fetch_row($req)) $chat_settings[$res[0]] = $res[1];
  echo '<div class="gmenu">Настройки сохранены</div>';
}    
$color = array('red', 'yelow', 'green', 'gray');    
echo '<form action="?act=mod_chat" method="post">';      
echo '<div class="menu">';

/*
-----------------------------------------------------------------
Управление доступом к Чату
-----------------------------------------------------------------
*/

echo '<p><h3><img src="img/color-swatches.png" width="16" height="16" class="left" />&#160;Стоимость цветов</h3>';      
echo '<div style="font-size: x-small"><ul>';
echo '<li>Ник:&#160;<br /><input type="text" name="color_nik" value="' . $chat_settings['color_nik'] . '"/></li>';
echo '<li>Ник в тексте:&#160;<br /><input type="text" name="color_nik_text" value="' . $chat_settings['color_nik_text'] . '"/></li>';
echo '<li>Сообщения:&#160;<br /><input type="text" name="color_text" value="' . $chat_settings['color_text'] . '"/><br />';
echo '&#160;&#160;<span class="gray"><small><span style="font-style:italic">0</span> - бесплатно</small></span></li>';
echo '</ul></div></p>';    

echo '<p><h3><img src="img/clock_delete.png" width="16" height="16" class="left" />&#160;Автоочистка</h3>';      
echo '<div style="font-size: x-small">';
echo '&#160;<input type="radio" value="3" name="auto_delete" ' . ($chat_settings['auto_delete'] == 86400 ? 'checked="checked"' : '') . '/>&#160;Старше суток<br />';
echo '&#160;<input type="radio" value="2" name="auto_delete" ' . ($chat_settings['auto_delete'] == 172800 ? 'checked="checked"' : '') . '/>&#160;Старше 2 суток<br />';
echo '&#160;<input type="radio" value="1" name="auto_delete" ' . ($chat_settings['auto_delete'] == 604800 ? 'checked="checked"' : '') . '/>&#160;Старше недели<br />';
echo '&#160;<input type="radio" value="0" name="auto_delete" ' . (!$chat_settings['auto_delete'] ? 'checked="checked"' : '') . '/>&#160;Не очищать<br />';
echo '&#160;&#160;&#160;<input type="text" name="leave_post" size="3" maxlength="3" value="' . $chat_settings['leave_post'] . '"/>&#160;Всегда оставлять последних сообщений<br />';
echo '&#160;&#160;&#160;&#160;&#160;<span class="gray"><small><span style="font-style:italic">0</span> - не оставлять старше указанного времени</small></span>';
echo '</div></p>';                                       

echo '<p><h3><img src="img/information.png" width="16" height="16" class="left" />&#160;Информация</h3>';      
echo '<div style="font-size: x-small"><ul>';
echo '<li><input type="checkbox" name="faq"' . ($chat_settings['faq'] ? ' checked="checked"' : '') . '/>&#160;При входе в Инкогнито и Беспредел</li>';
echo '</ul></div></p>';

echo '</div><div class="gmenu">';      
echo '<input type="submit" name="submit" value="Сохранить"/>';
echo '</div>';
echo '</form>';
echo '<div class="phdr"><a href="?act=mod_chat&amp;mod=reset">Сброс настроек</a></div>';
echo '<p><a href="menu.php">Меню</a><br /><a href="../' . $set['admp'] . '/index.php">Админ панель</a></p>';

?>